//servo position angle finder for WebbotLib

void angle_finder(void)
	{
	int data;
	int16_t increase=2;

	while(1)
		{
		//get user entered data
		
		#ifdef USB
		data = GET_DATA_USB;
		#endif
		#ifdef WIRELESS
		data = GET_DATA_U0;
		#endif

		//if data received
		if (data !=-1)
			{
			if (data=='q')
				ALB+=increase;
			if (data=='a')
				ALB-=increase;

			if (data=='w')
				ALJ1+=increase;
			if (data=='s')
				ALJ1-=increase;

			if (data=='e')
				ALJ2+=increase;
			if (data=='d')
				ALJ2-=increase;

			if (data=='r')
				ALC+=increase;
			if (data=='f')
				ALC-=increase;

			if (data=='t')
				ARB+=increase;
			if (data=='g')
				ARB-=increase;

			if (data=='y')
				ARJ1+=increase;
			if (data=='h')
				ARJ1-=increase;

			if (data=='u')
				ARJ2+=increase;
			if (data=='j')
				ARJ2-=increase;

			if (data=='i')
				ARC+=increase;
			if (data=='k')
				ARC-=increase;

			if (data=='o')
				CAMh+=increase;
			if (data=='l')
				CAMh-=increase;

			if (data=='p')
				CAMv+=increase;
			if (data==';')
				CAMv-=increase;

			ALB = CLAMP(ALB, DRIVE_SPEED_MIN, DRIVE_SPEED_MAX);
			ALJ1 = CLAMP(ALJ1, DRIVE_SPEED_MIN, DRIVE_SPEED_MAX);
			ALJ2 = CLAMP(ALJ2, DRIVE_SPEED_MIN, DRIVE_SPEED_MAX);
			ALC = CLAMP(ALC, DRIVE_SPEED_MIN, DRIVE_SPEED_MAX);
			ARB = CLAMP(ARB, DRIVE_SPEED_MIN, DRIVE_SPEED_MAX);
			ARJ1 = CLAMP(ARJ1, DRIVE_SPEED_MIN, DRIVE_SPEED_MAX);
			ARJ2 = CLAMP(ARJ2, DRIVE_SPEED_MIN, DRIVE_SPEED_MAX);
			ARC = CLAMP(ARC, DRIVE_SPEED_MIN, DRIVE_SPEED_MAX);
			CAMh = CLAMP(CAMh, DRIVE_SPEED_MIN, DRIVE_SPEED_MAX);
			CAMv = CLAMP(CAMv, DRIVE_SPEED_MIN, DRIVE_SPEED_MAX);

			//report any changes with ID
			//rprintf("\n ALB=%d ALJ1=%d ALJ2=%d ALC=%d ARB=%d ARJ1=%d ARJ2=%d ARC=%d CAMh=%d CAMv=%d",ALB,ALJ1,ALJ2,ALC,ARB,ARJ1,ARJ2,ARC,CAMh,CAMv);
			//report changes without ID for copy/paste into gait array
			rprintf("\n %d,%d,%d,%d,%d,%d,%d,%d,%d,%d",ALB,ALJ1,ALJ2,ALC,ARB,ARJ1,ARJ2,ARC,CAMh,CAMv);

			//command new angle
			robot_move();
			}
		
		delay_ms(20);
		}
	}
