void head_track(void)
	{
	blackfin_find_red_ball();
	while(1)
		{
		//rprintf("test");
		Blackfin_Store_Blob(0);//blob numbers start at 0
		Blackfin_HeadTrack(10,15,0);//confidence, damping ratio, body tracking
		}
	}

//find where the ball generally is to point robot in right direction
uint8_t locate_ball_region(void)
	{
	uint16_t left;
	uint16_t middle;
	uint16_t right;

	//center head and wait for best lighting
	act_setSpeed(&camera_ver,0);
	delay_ms(2000);

	//define object to look for
	blackfin_find_red_ball();

	//to start tracking, find general location of ball
	//scan head to find it
	//move head to 3 positions
	//head left
	act_setSpeed(&camera_hor,45);
	delay_ms(2000);
	Blackfin_Store_Blob(0);
	left=cameraData[0].numPixels;

	//head center
	act_setSpeed(&camera_hor,0);
	delay_ms(2000);
	Blackfin_Store_Blob(0);
	middle=cameraData[0].numPixels;

	//head right
	act_setSpeed(&camera_hor,-45);
	delay_ms(2000);
	Blackfin_Store_Blob(0);
	right=cameraData[0].numPixels;

	//compare to see which side has the largest blob (where ball is)
	if(left>right && left>middle)
		return 0;//on left
	else if(middle>right && middle>left)
		return 1;//on middle
	else if(right>left && right>middle)
		return 2;//on right
	return 1;
	}

void play_fetch(void)
	{
	uint8_t start_direction;//store where object originally found

	//find where the ball generally is to point robot in right direction
	start_direction = locate_ball_region();
	rprintf("\ndir=%d",start_direction);
	
	if (start_direction==0)//turn left
		wheels_left();
	if (start_direction==2)//turn right
		wheels_right();

	delay_ms(300);//for some fraction of time
	wheels_stop();

while(1);

	//now that robot is pointed in right direction
	//start tracking!
	while(cameraData[0].numPixels>10 && cameraData[0].numPixels<1000)//don't drive too close
		{
		Blackfin_Store_Blob(0);
		Blackfin_HeadTrack(10,15,1);//confidence, damping ratio
		}
	
	//now that ball is close, center body

	//move towards it until its in grabbing location
	//	rotate body until its centered (measured by head X angle and body X angle)
	//		drive up until its right in front (measured by head Y angle)

	//run grabbing code
	arm_fold();
	arm_grab_center();

	}
